CVE-2023-28837

medium

Description

Wagtail is an open source content management system built on Django. Prior to versions 4.1.4 and 4.2.2, a memory exhaustion bug exists in Wagtail's handling of uploaded images and documents. For both images and documents, files are loaded into memory during upload for additional processing. A user with access to upload images or documents through the Wagtail admin interface could upload a file so large that it results in a crash of denial of service. The vulnerability is not exploitable by an ordinary site visitor without access to the Wagtail admin. It can only be exploited by admin users with permission to upload images or documents. Image uploads are restricted to 10MB by default, however this validation only happens on the frontend and on the backend after the vulnerable code. Patched versions have been released as Wagtail 4.1.4 and Wagtail 4.2.2). Site owners who are unable to upgrade to the new versions are encouraged to add extra protections outside of Wagtail to limit the size of uploaded files.

References

https://github.com/wagtail/wagtail/commit/3c0c64642b9e5b8d28b111263c7f4bddad6c3880

https://github.com/wagtail/wagtail/commit/c9d2fcd650a88d76ae122646142245e5927a9165

https://github.com/wagtail/wagtail/commit/cfa11bbe00dbe7ce8cd4c0bbfe2a898a690df2bf

https://github.com/wagtail/wagtail/commit/d4022310cbe497993459c3136311467c7ac6329a

https://github.com/wagtail/wagtail/releases/tag/v4.1.4

https://github.com/wagtail/wagtail/releases/tag/v4.2.2

https://github.com/wagtail/wagtail/security/advisories/GHSA-33pv-vcgh-jfg9

Details

Source: Mitre, NVD

Published: 2023-04-03

CVSS v3

Base Score: 4.9

Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H

Severity: Medium